Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Managed Service for PostgreSQL
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • ListRunningRepacks
        • LaunchRepack
        • TerminateRepack
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Response
  • RunningRepack
  • RepackSpec
  • RepackTarget
  1. API reference
  2. REST
  3. ManagedRepack
  4. ListRunningRepacks

Managed Service for PostgreSQL API, REST: ManagedRepack.ListRunningRepacks

Written by
Yandex Cloud
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response
  • RunningRepack
  • RepackSpec
  • RepackTarget

Lists currently running in given cluster Repacks

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-postgresql/v1/clusters/{clusterId}:managedRepack_list_running

Path parametersPath parameters

Request to list currently running Repacks in a cluster.

Field

Description

clusterId

string

Required field. Required. ID of the PostgreSQL cluster that Repack is running in.
To get the cluster ID use a ClusterService.List request.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "repacks": [
    {
      "clusterId": "string",
      "startTime": "string",
      "spec": {
        "type": "string",
        "dbname": "string",
        "targets": [
          {
            "schema": "string",
            // Includes only one of the fields `name`, `allInSchema`
            "name": "string",
            "allInSchema": "boolean"
            // end of the list of possible fields
          }
        ],
        "waitTimeout": "string",
        "jobs": "string"
      },
      "launchId": "string"
    }
  ]
}

Response with the list of currently running Repacks.

Field

Description

repacks[]

RunningRepack

List of RunningRepack.

RunningRepackRunningRepack

Represents currently running repack process

Field

Description

clusterId

string

Which cluster this repack runs in

startTime

string (date-time)

When this repack process has been started

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

spec

RepackSpec

Specification for this running repack

launchId

string

UUID of launch, identifier of specific instance of launched repack

RepackSpecRepackSpec

Represents specification for launching new Repack process

Field

Description

type

enum (RepackType)

Which objects to repack

  • REPACK_TYPE_INDEX: Repack indexes.
  • REPACK_TYPE_TABLE: Repack tables.

dbname

string

database name this repack process is working with

targets[]

RepackTarget

list of target objects this repack process is working with

waitTimeout

string (int64)

pg_repack option; timeout to cancel other backends on conflict

jobs

string (int64)

pg_repack option; Use this many parallel jobs for each table

RepackTargetRepackTarget

Single object to repack

Field

Description

schema

string

Schema of object to be repacked
If not given, defaults to "public"

name

string

Name of object to be repacked

Includes only one of the fields name, allInSchema.

Object to repack within the schema.

allInSchema

boolean

All objects within given schema are to be repacked

Includes only one of the fields name, allInSchema.

Object to repack within the schema.

Was the article helpful?

Previous
Overview
Next
LaunchRepack
© 2026 Direct Cursus Technology L.L.C.